| Header Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | ✅ Yes | Bearer token for API access |
Content-Type | string | ✅ Yes | Must be application/json |
POST request to perform an action (such as cancel or resend) on an existing payment link. The request should include either the bookingReference or fikafiReference, along with the desired action.http://sandbox.fikafi.com/FikafiApicurl --location 'http://sandbox.fikafi.com/FikafiApi/api/payment/takePaymentAction?bookingRefNum=BKG123&fikafiRefNum=FIK7890&action=cancel' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiIzMmVkOTI0OC1kNTc4LTQ3NzUtODYwYS1iZGZkOGExM2Y0MzciLCJ1bmlxdWVfbmFtZSI6IkFkbWluIiwiVXNlcklEIjoiMSIsIm5iZiI6MTc0MDM5Mzg4NywiZXhwIjoxNzQwNDgwMjg3LCJpYXQiOjE3NDAzOTM4ODd9.J6oPTYH9x5ia_a7OUBj9K038o8gu04gL4kLuVyJ8RQo' \
--header 'Content-Type: application/json' \
--data '{}'{
"bookingRefNum": "BKG123",
"fikafiRefNum": "FIK7890",
"action": "cancelled"
}